#include "collection.h"

// This array holds values of 1 for games that the player has, and 0 otherwise
unsigned char GameOwn[GAME_COUNT];

// US Dollars of English AES games as of March 24, 2012 :)
const unsigned int GameValues[] = { 40, 60, 135, 125, 70, 95, 40, 55, 70, 450, 45, 
100, 200, 55, 45, 55, 65, 850, 85, 45, 50, 50, 45, 75, 150, 45, 50, 265, 
65, 85, 65, 145, 155, 220, 175, 165, 185, 700, 159, 175, 350, 50, 65, 60, 
15000, 500, 760, 125, 150, 75, 100, 55, 650, 199, 3000, 2000, 700, 350, 300, 
600, 50, 65, 65, 2000, 50, 130, 130, 125, 170, 400, 320, 315, 700, 50, 70, 85, 
50, 85, 125, 190, 355, 260, 250, 800, 525, 190, 65, 150, 215, 45, 60, 95, 
1000, 225, 60, 65, 100, 175, 10000, 50, 55, 90, 50, 170, 475, 180, 45, 50, 60, 55, 60, 650 };

// Splitting this into two arrays was due to the compiler complaining "string too long".. :D
// 
// AWESOME NOTE: Since these are laid out in memory one after the other, you can reference
//               strings from the second array by indexing in the first.
//               As an example, the last game (world heroes perfect) is found in the second
//               array, but can be accessed like this: GameNames[GAME_COUNT-1] :D
//
const char GameNames[][MAX_GAME_NAME_LENGTH+1] = { "2020 Super Bsb", "3 Count Bout", "Aero Fightrs 2", "Agg of Dark Km", "Alpha Mssn 2", "Andro Dunos", "Art of Fght dt", "Art of Fght", "Art of Fght 2", "Art of Fght 3", "Bs Star Prof", "Bs S Prof 2 dt", "Bs S Prof 2 e", "Blue's Journey", "Burning Fight", "Crssd Swords", "Cyber-lip", "Dbl Drgn e", "Eightman dt", "Ftl Fury dt", "Ftl Fury e", "Ftl Fury 2 dt", "Ftl Fury 2 e", "Ftl Fury Spec", "Ftl Fury 3", "Ftbll Frnzy dt", "Ftbll Frnzy", "Galaxy Fight", "Ghost Plts dt", "Ghost Plts e", "Karnov's Rvng", "KoF 94", "KoF 95", "KoF 96", "KoF 97", "KoF 98", "KoF 99", "KoF 2000", "KoF 2001", "KoF 2002", "KoF 2003", "Kng of Mnstrs", "K of Mnst 2 dt", "K of Mnst 2 e", "Kizuna Enc e", "Last Blade", "Last Blade 2", "Last Rsrt dt", "Last Rsrt e", "Lg Bowling dt", "Lg Bowling e", "Magician Lord", "Mk of the Wlvs", "Matrimelee", "Metal Slug", "Metal Slug 2", "Metal Slug X", "Metal Slug 3" };
const char GameNames2[][MAX_GAME_NAME_LENGTH+1] = { "Metal Slug 4", "Metal Slug 5", "Mttn Nation dt", "Mttn Nation", "NAM-1975", "Neo Trfmstrs", "Ninja Combat", "Ninja Cmdo dt", "Ninja Cmdo e", "Ninja Masters", "Puzzled (JJK)", "Rage of the Dr", "RB Ftl Fury", "RB Ftl Fury S", "RB Ftl Fury 2", "Riding Hero", "Robo Army dt", "Robo Army e", "Smrai Shdn", "Smrai Shdn 2 d", "Smrai Shdn 2 e", "Smrai Shdn 3", "Smrai Shdn 4", "Smrai Shdn 4 K", "Smrai Shdn 5", "Smrai Shdn 5 S", "Smr Shdn 5 S F", "Savage Reign", "Sengoku", "Sengoku 2", "Sengoku 3", "Sccr Brawl dt", "Sccr Brawl e", "Spin Master", "Stakes Winner", "Street Hoop", "Sp Sidekicks", "Sp Sidekicks 2", "Sp Sidekicks 3", "SVC Chaos", "Ultimate 11", "The Super Spy", "Thrash Rally", "Top Hunter", "Top Plyrs Golf", "View Point", "Volt Fghtr Gwc", "Windjammers", "World Heroes", "Wrld Hrs 2 dt", "Wrld Hrs 2 e", "Wrd Hrs 2 J dt", "Wrd Hrs 2 J e", "Wrld Hrs Prfct" };

