//
// Logic for events. These things are responsible for creating
// all sorts of fun stuff, unpredictability, etc.
//
//           NGCollector, Sebastian Mihai, 2012
//

#ifndef EVENTS_H_
#define EVENTS_H_

#include "cframework\ngpc.h"
#include "cframework\library.h"

// Generates two games. "his" is the game fellow collector
// will offer for trade, and "yours" is the game he wants
// from you in exchange
//
// returns 1 if such a trade has been found
// returns 0 if no trade was found
u16 GetFellowCollectorGames( u16* his, u16* yours );

// Generates a random item which the player CAN AFFORD
// sets item index and price
//
// returns 1 if such an item was found
// returns 0 if no item can be purchased
u16 GetRandomItem( s32 maxPrice, u16* itemIndex, u16* price );

// Gambles at the casino
//
// returns 0 if player lost
// otherwise returns a positive value representing amount won
u16 GetGambleResult( u16 amountGambled );

// Selects a random game owned by the player
//
// returns 0 if player has no games
// returns 1 otherwise
u16 GetRandomPlayerGame( u16* itemIndex );

// Selects a random game NOT owned by the player
//
// returns 0 if player has all games (should be impossible)
// returns 1 otherwise
u16 GetRandomNotOwnedGame( u16* itemIndex );

#endif
