//
// Handles the message area at the bottom of the screen
//
//           NGCollector, Sebastian Mihai, 2012
//

#ifndef MESSAGEAREA_H_
#define MESSAGEAREA_H_

#include "cframework\ngpc.h"
#include "cframework\library.h"

// adds a generic message, and scrolls the message area upwards once
void AddMessage( char* message );

// adds a dollar amount message, and scrolls the message area upwards once
void AddAmountMessage( u16 amount );

// adds a game name as a message, and scrolls the message area upwards once
void AddMessageGame( char* message );

// adds a blank message, essentially leaving a blank line in the message area
// and scrolls the message area upwards once
void AddMessageBlank();

// clears message area
void ClearMessageArea();

// re-displays message area
void RenderMessageArea();

// returns number of digits of a given number
u8 CalculateDigits( s32 amount );

#endif
